Bug Hunting Session
Bug 87541 - COLOR PICKER: New color palettes
Summary: COLOR PICKER: New color palettes
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks: Color-Picker-Widget Color-Palettes
  Show dependency treegraph
 
Reported: 2014-12-20 23:45 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-12-15 08:44 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
google color palette (6.41 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-04-27 21:39 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-12-20 23:45:03 UTC
It would be useful to include additional color palettes in the color picker drop down, especially ones that would look good in it.

* KDE Oxygen - 12x6 - https://techbase.kde.org/Development/Guidelines/CIG/Colors

* Browser Safe - 12x18 - http://www.aksi.net/palette.htm

* Web Colors - 12x18 - http://web.archive.org/web/20100411084512/http://www.ideo.com/visualizer.html

* Rearranged standard.soc - http://www.practicatechnical.com/computer-tips/libreoffice-color-palette
Comment 1 V Stuart Foote 2014-12-21 15:21:36 UTC
For sure, Wade P.'s device neutral technical pallet of bug 80196. and if the standard.soc is adjusted we will need to accommodate the project branding color table -- https://wiki.documentfoundation.org/Marketing/Branding#Color_Table
Comment 2 Chris Tiffany 2015-03-04 11:51:44 UTC
COLOR PICKER BUG EASY FIX; 
*.SOC names exist, but are hidden from user; 
palette picker tooltips should show css3 color names; 
eg: name="fuchsia/magenta FF00FF 255.0.255" should be visible to user in tooltip.
Comment 3 V Stuart Foote 2015-03-04 13:58:10 UTC
(In reply to Chris Tiffany from comment #2)
> COLOR PICKER BUG EASY FIX; 
> *.SOC names exist, but are hidden from user; 
> palette picker tooltips should show css3 color names; 
> eg: name="fuchsia/magenta FF00FF 255.0.255" should be visible to user in
> tooltip.

Not clear what you mean, or why you set a patch flag. 

Most of the 17 standard HTML and 123 CSS3 defined colors are already present in the the html.soc pallet, selected from the dropdown menu. It uses the CSS names in that pallet and include HEX and decimal values all of which are displayed as Tooltip on mouse over.

The standard.soc (used as default) has different naming, which do not include the HEX or decimal values.
Comment 4 Yousuf Philips (jay) (retired) 2015-04-27 21:39:21 UTC
Created attachment 115141 [details]
google color palette

Stumbled on this google color palette file on google docs, so i've attached it. Its is a 10 columns and 8 row color palette.

https://docs.google.com/document/d/1breDq1nz0CFwZxMV--duGkFyXumm2remdoSV9YTQu-U/edit
Comment 5 Robinson Tryon (qubit) 2016-08-25 05:26:47 UTC Comment hidden (obsolete)
Comment 6 Heiko Tietze 2016-12-15 08:44:17 UTC
Would say this ticket has been resolved now. Actually it was duplicated by bugs 80196 104048 104050 104051.